Index: src/networks/donkey/donkeyClient.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyClient.ml,v
retrieving revision 1.88
diff -u -u -w -r1.88 donkeyClient.ml
--- src/networks/donkey/donkeyClient.ml	9 Apr 2006 00:27:03 -0000	1.88
+++ src/networks/donkey/donkeyClient.ml	19 May 2006 21:58:28 -0000
@@ -2619,7 +2609,7 @@
 	Not_found -> ()
       | e -> 
         if !verbose then
-          lprintf_nl () "add_location: exception %s" (Printexc2.to_string e)
+          lprintf_nl "add_location: exception %s" (Printexc2.to_string e)
   );
   
   DonkeySources.functions.DonkeySources.function_remove_location <- (fun
@@ -2634,6 +2624,6 @@
 	Not_found -> ()
       | e -> 
         if !verbose then
-          lprintf_nl () "remove_location for file_md4 %s: exception %s"
+          lprintf_nl "remove_location for file_md4 %s: exception %s"
       file_uid (Printexc2.to_string e)
   )
Index: src/networks/donkey/donkeyComplexOptions.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyComplexOptions.ml,v
retrieving revision 1.47
diff -u -u -w -r1.47 donkeyComplexOptions.ml
--- src/networks/donkey/donkeyComplexOptions.ml	17 May 2006 08:52:43 -0000	1.47
+++ src/networks/donkey/donkeyComplexOptions.ml	19 May 2006 21:58:28 -0000
@@ -61,10 +61,6 @@
 
 *)
 
-let lprintf_nl () =
-  lprintf "%s[EDK] "
-  (log_time ()); lprintf_nl2
-
 let create_online_sig () =
   
   let most_users = ref Int64.zero in
@@ -250,7 +246,7 @@
         get_value "file_diskname" value_to_string
       with _ ->
         let filename = Filename.concat !!temp_directory file_md4 in
-          lprintf_nl () "getting file_diskname from ini failed, testing for ed2k-temp-file %s" filename;
+          lprintf_nl "getting file_diskname from ini failed, testing for ed2k-temp-file %s" filename;
         if Sys.file_exists filename then
           filename
         else
@@ -260,7 +256,7 @@
                 !!temp_directory
                 ( string_of_uid ( Ed2k (Md4.of_string file_md4) ) )
             in
-            lprintf_nl () "geting file_diskname from ini failed, testing for ed2k-temp-file %s"
+            lprintf_nl "geting file_diskname from ini failed, testing for ed2k-temp-file %s"
               filename;
             if Sys.file_exists filename then
               filename
@@ -272,9 +268,9 @@
     in
     if not (Sys.file_exists filename) then
       (* I think we should die here, to prevent any corruption. *)
-      lprintf_nl () "ERROR ED2K-TEMP-FILE %s DOES NOT EXIST, THIS WILL PERHAPS LEAD TO CORRUPTION IN THAT DOWNLOAD!"
+      lprintf_nl "ERROR ED2K-TEMP-FILE %s DOES NOT EXIST, THIS WILL PERHAPS LEAD TO CORRUPTION IN THAT DOWNLOAD!"
         filename;
-    if !verbose then lprintf_nl () "ed2k-temp-file %s used." filename;
+    if !verbose then lprintf_nl "ed2k-temp-file %s used." filename;
     filename
   in
 
@@ -463,7 +459,7 @@
 let config_files_loaded = ref false  
       
 let load _ =
-  if !verbose then lprintf_nl () "Loading shared files";
+  if !verbose then lprintf_nl "Loading shared files";
   (try
       Options.load shared_files_ini;
       Options.load stats_ini;
@@ -555,7 +551,7 @@
 let check_result r tags =
   if r.result_names = [] || r.result_size = Int64.zero then begin
       if !verbose then begin
-          lprintf_n () "Bad search result: ";
+          lprintf_n "Bad search result: ";
           List.iter (fun tag ->
               lprintf "[%s] = [%s] " (string_of_field tag.tag_name)
                 (string_of_tag_value tag.tag_value)
Index: src/networks/donkey/donkeyFiles.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyFiles.ml,v
retrieving revision 1.19
diff -u -u -w -r1.19 donkeyFiles.ml
--- src/networks/donkey/donkeyFiles.ml	1 Jan 2006 19:36:03 -0000	1.19
+++ src/networks/donkey/donkeyFiles.ml	19 May 2006 21:58:28 -0000
@@ -46,16 +46,6 @@
 open CommonGlobals
 open DonkeyStats
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[EDK] "
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[EDK] "
-    (log_time ()); lprintf
-
 let msg_block_size_int = 10240
 let msg_block_size = Int64.of_int msg_block_size_int
 let upload_buffer = String.create msg_block_size_int
@@ -89,7 +79,7 @@
 (*      let len_int = Int32.to_int len in *)
       try
 	if !verbose_upload then
-	  lprintf_nl () "send_small_block (%s) %Ld %d"
+    lprintf_nl "send_small_block (%s) %Ld %d"
 	    (full_client_identifier c)
             (begin_pos) (len_int);
         
@@ -124,9 +114,9 @@
         write_string sock upload_buffer;
         check_end_upload c sock
       with
-	End_of_file -> lprintf_nl () "Can not send file %s to %s, file removed?"
+  End_of_file -> lprintf_nl "Can not send file %s to %s, file removed?"
 			 (file_best_name file) (full_client_identifier c)
-      | e -> if !verbose then lprintf_nl ()
+      | e -> if !verbose then lprintf_nl
 	       "Exception %s in send_small_block" (Printexc2.to_string e)
     
     let rec send_client_block c sock per_client =
@@ -145,14 +135,14 @@
 (* last block from chunk *)
               begin
                 if !verbose_upload then
-                    lprintf_nl () "END OF CHUNK (%d) %Ld" max_len up.up_end_chunk; 
+                    lprintf_nl "END OF CHUNK (%d) %Ld" max_len up.up_end_chunk; 
                 send_small_block c sock up.up_file up.up_pos max_len;
                 up.up_chunks <- chunks;
                 let per_client = per_client - max_len in
                 match chunks with
                   [] -> 
                     if !verbose_upload then
-                        lprintf_nl () "NO CHUNKS";
+                        lprintf_nl "NO CHUNKS";
                     c.client_upload <- None;
                 | (begin_pos, end_pos) :: _ ->
                     up.up_pos <- begin_pos;
Index: src/networks/donkey/donkeyGlobals.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyGlobals.ml,v
retrieving revision 1.79
diff -u -u -w -r1.79 donkeyGlobals.ml
--- src/networks/donkey/donkeyGlobals.ml	9 Apr 2006 00:27:03 -0000	1.79
+++ src/networks/donkey/donkeyGlobals.ml	19 May 2006 21:58:28 -0000
@@ -232,13 +232,6 @@
       List2.tail_map (fun s -> as_server s.server_server) !connected_server_list
   )
 
-let lprintf_nl () =
-  lprintf "%s[EDK] "
-  (log_time ()); lprintf_nl2
-
-let lprintf_n () =
-  lprintf "%s[EDK] "
-  (log_time ()); lprintf
 
 let hashtbl_remove table key v =
   try
@@ -303,13 +296,13 @@
             then
               begin
                 if !verbose_share then
-                  lprintf_nl () "New file with changed filename %s to %s"
+                  lprintf_nl "New file with changed filename %s to %s"
                     file.file_diskname file_diskname;
                 file.file_diskname <- file_diskname;
               end
           else
             if !verbose_share then
-              lprintf_nl () "New file with not changed different filename %s and %s"
+              lprintf_nl "New file with not changed different filename %s and %s"
                 file.file_diskname file_diskname;
         end;
       if Unix32.destroyed (file_fd file)
@@ -319,12 +312,12 @@
           file.file_file.impl_file_fd <-
             Some (Unix32.create_diskfile file.file_diskname true);
       if Unix32.destroyed (file_fd file) then
-          lprintf_nl () "New Edonkey file with %b && %b remaining destroyed fd %s"
+          lprintf_nl "New Edonkey file with %b && %b remaining destroyed fd %s"
             (not writable) (file.file_diskname = file_diskname) file.file_diskname;
       file
   with _ ->
       if !verbose_share then
-        lprintf_nl () "New file with md4: %s" (Md4.to_string md4);
+        lprintf_nl "New file with md4: %s" (Md4.to_string md4);
 
       let t =
         if
@@ -356,7 +349,7 @@
 	    (try
 	      Unix32.remove t
 	     with e ->
-		lprintf_nl () "Unix32.remove %s exception %s"
+    lprintf_nl "Unix32.remove %s exception %s"
 		  (file_diskname) (Printexc2.to_string e));
 	    Unix32.destroy t;
 	    failwith (Printf.sprintf "file size %s is too big, exception: %s"
@@ -463,7 +456,7 @@
         None -> false
       | Some reason ->
           if !verbose_connect then
-            lprintf_nl () "%s:%d blocked: %s" (Ip.to_string ip) port reason;
+            lprintf_nl "%s:%d blocked: %s" (Ip.to_string ip) port reason;
           true))
 
 let new_server ip port score =
@@ -926,7 +919,7 @@
       ) c.client_file_queue in
     begin
       if c.client_debug then
-        lprintf_nl () "Saving %d files associated with %s"
+        lprintf_nl "Saving %d files associated with %s"
         (List.length files) (Md4.to_string c.client_md4);
       Hashtbl.add join_queue_by_md4 c.client_md4 (files, last_time ());
       try
@@ -968,12 +961,12 @@
       if not (try String.sub !!client_private_key 0 4 = "MIIB" with e -> false) then
         if !key_check_again then
 	  begin
-	    lprintf_nl () "can not create proper client_private_key, exiting...";
+      lprintf_nl "can not create proper client_private_key, exiting...";
 	    exit 70
 	  end
 	else
           begin
-            lprintf_nl () "bad client_private_key detected, creating new key";
+            lprintf_nl "bad client_private_key detected, creating new key";
 	    set_simple_option donkey_ini "client_private_key" (DonkeySui.SUI.create_key ());
 	    key_check_again := true
 	  end
@@ -981,7 +974,7 @@
     if not !key_checked then check_client_private_key ();
     if !key_check_again then
       begin
-	lprintf_nl () "re-checking private key";
+  lprintf_nl "re-checking private key";
 	check_client_private_key ()
       end
     );
Index: src/networks/donkey/donkeyInteractive.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyInteractive.ml,v
retrieving revision 1.105
diff -u -u -w -r1.105 donkeyInteractive.ml
--- src/networks/donkey/donkeyInteractive.ml	17 May 2006 08:52:43 -0000	1.105
+++ src/networks/donkey/donkeyInteractive.ml	19 May 2006 21:58:28 -0000
@@ -55,15 +55,6 @@
 open DonkeyStats
 open DonkeyUdp
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[EDK] "
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[EDK] "
-    (log_time ()); lprintf
 
 let result_name r =
   match r.result_names with
@@ -117,7 +108,7 @@
     ) ss;
     List.length ss
   with e ->
-      lprintf_nl () "Exception %s while loading %s" (Printexc2.to_string e)
+      lprintf_nl "Exception %s while loading %s" (Printexc2.to_string e)
       filename;
       0
   else 0
@@ -133,21 +124,21 @@
 	      Unix2.tryopen_read_zip filename (fun ic ->
 		try
 		  let file = Zip.find_entry ic "server.met" in
-		  lprintf_nl () "server.met found in %s" url;
+      lprintf_nl "server.met found in %s" url;
 		  file.Zip.filename
 		with e ->
-		  lprintf_nl () "Exception %s while extracting server.met from %s"
+      lprintf_nl "Exception %s while extracting server.met from %s"
 		    (Printexc2.to_string e) url;
 		  raise e) in
 	    (try
 	      ignore(Misc.archive_extract filename "zip")
 	    with e ->
-	      lprintf_nl () "Exception %s while extracting server.met from %s"
+        lprintf_nl "Exception %s while extracting server.met from %s"
 		(Printexc2.to_string e) url;
 	      raise e);
 	    result
 	  with e ->
-            lprintf_nl () "Exception %s while opening %s"
+            lprintf_nl "Exception %s while opening %s"
 	      (Printexc2.to_string e) url;
             raise Not_found)
     | ".met.gz" | ".met.bz2" | ".gz" | ".bz2" ->
@@ -156,7 +147,7 @@
 	try
           Misc.archive_extract filename filetype
 	with e ->
-          lprintf_nl () "Exception %s while extracting from %s"
+          lprintf_nl "Exception %s while extracting from %s"
 	    (Printexc2.to_string e) url;
           raise Not_found)
 (* if file is not a supported archive type try loading servers from that file anyway *)
@@ -178,7 +169,7 @@
         let s = unpack_server_met filename url in
     let n = load_server_met s in
       if s <> filename then Sys.remove s;
-            lprintf_nl () "server.met loaded from %s, %d servers found, %d new ones inserted"
+            lprintf_nl "server.met loaded from %s, %d servers found, %d new ones inserted"
         url n ((List.length (Hashtbl2.to_list servers_by_key)) - nservers)
       with e -> ()
     )
@@ -214,15 +205,15 @@
            && not (Sys.file_exists file_diskname)
           then
             (try
-              lprintf_nl () "Renaming edonkey temp-file from %s to %s"
+              lprintf_nl "Renaming edonkey temp-file from %s to %s"
                   filename file_diskname;
               Unix2.rename filename file_diskname;
               Unix2.chmod file_diskname 0o644;
               with e ->
-                lprintf_nl () "Could not rename %s to %s: exception %s"
+                lprintf_nl "Could not rename %s to %s: exception %s"
                   filename file_diskname (Printexc2.to_string e);
             )
-        else lprintf_nl () "THERE IS SOME PROBLEM WITH RECOVERING TEMP-FILES, THAT COULD CAUSE FILE-CORRUPTION!!!!!!!!!!! filename: %s  exists:%b file_diskname: %s  exists:%b"
+        else lprintf_nl "THERE IS SOME PROBLEM WITH RECOVERING TEMP-FILES, THAT COULD CAUSE FILE-CORRUPTION!!!!!!!!!!! filename: %s  exists:%b file_diskname: %s  exists:%b"
                filename (Sys.file_exists filename)
                file_diskname (Sys.file_exists file_diskname);
     | _ -> ()
@@ -249,7 +240,7 @@
             CommonSwarming.set_absent swarmer absents
   end;
 
-  if !verbose then lprintf_nl () "Started new download, file %s, size %Ld, md4 %s"
+  if !verbose then lprintf_nl "Started new download, file %s, size %Ld, md4 %s"
     (file_best_name file) size (Md4.to_string md4);
 
   DonkeyProtoOvernet.Overnet.recover_file file;
@@ -371,7 +362,7 @@
     let t = P.read s in
     t.P.client_tags, t.P.option_tags
   with e ->
-      lprintf_nl () "Exception %s while loading %s" (Printexc2.to_string e)
+      lprintf_nl "Exception %s while loading %s" (Printexc2.to_string e)
       filename;
       [], []
 
@@ -391,7 +382,7 @@
             List.iter (fun tag ->
                 match tag with
                   { tag_name = Field_Filename; tag_value = String s } ->
-                    lprintf_nl () "Import Donkey %s" s;
+                    lprintf_nl "Import Donkey %s" s;
 
                     filenames := s :: !filenames;
                 | { tag_name = Field_Size; tag_value = Uint64 v } ->
@@ -423,7 +414,7 @@
       | { tag_name = Field_UNKNOWN "temp"; tag_value = String s } ->
           if Sys.file_exists s then (* be careful on that *)
             temp_dir := s
-          else (lprintf_nl () "Bad temp directory, using default";
+          else (lprintf_nl "Bad temp directory, using default";
               )
       | _ -> ()
   ) ot;
@@ -1052,7 +1043,7 @@
           } in
         v
       with e ->
-          lprintf_nl () "Exception %s in op_file_info" (Printexc2.to_string e);
+          lprintf_nl "Exception %s in op_file_info" (Printexc2.to_string e);
           raise e
 
   )
@@ -1511,7 +1502,7 @@
               (try
                  try_recover_temp_file filename md4
                with e ->
-                 lprintf_nl () "exception %s in recover_temp"
+                 lprintf_nl "exception %s in recover_temp"
                  (Printexc2.to_string e);
               )
           | NoUid ->
@@ -1520,7 +1511,7 @@
                    let md4 = Md4.of_string filename in
                    try_recover_temp_file filename md4
                  with e ->
-                   lprintf_nl () "exception %s in recover_temp"
+                   lprintf_nl "exception %s in recover_temp"
                      (Printexc2.to_string e);
               )
           | _ -> ()
@@ -1550,7 +1541,7 @@
       | Some files ->
           List2.tail_map (fun r -> "", r) files);
   client_ops.op_client_browse <- (fun c immediate ->
-      lprintf_nl () "*************** should browse  ***********";
+      lprintf_nl "*************** should browse  ***********";
       match c.client_source.DonkeySources.source_sock with
       | Connection sock    ->
 (*
@@ -1564,8 +1555,8 @@
             let module C = M.ViewFiles in
             M.ViewFilesReq C.t);
       | NoConnection ->
-          lprintf_nl () "****************************************";
-          lprintf_nl () "       TRYING TO CONTACT FRIEND";
+          lprintf_nl "****************************************";
+          lprintf_nl "       TRYING TO CONTACT FRIEND";
 
           reconnect_client c
       | _ -> ()
@@ -1711,7 +1702,7 @@
     (fun url filename ->
     if !!enable_donkey && !!update_server_list_server_met then
       begin
-        lprintf_n () "server.met loaded from %s" url;
+        lprintf_n "server.met loaded from %s" url;
   begin
     try
       let s = unpack_server_met filename url in
@@ -1726,14 +1717,14 @@
       end
     else
       if not !!enable_donkey then
-        lprintf_nl () "eDonkey module is disabled, ignoring..."
+        lprintf_nl "eDonkey module is disabled, ignoring..."
       else
-        lprintf_nl () "ED2K_update_server_list_met is disabled, ignoring..."
+        lprintf_nl "ED2K_update_server_list_met is disabled, ignoring..."
   );
   CommonWeb.add_web_kind "comments.met" "List of edonkey files comments" 
     (fun _ filename ->
 (* TODO      DonkeyIndexer.load_comments filename; *)
-      lprintf_nl () "COMMENTS ADDED";
+      lprintf_nl "COMMENTS ADDED";
   );
 
   file_ops.op_file_proposed_filenames <- op_file_proposed_filenames;
Index: src/networks/donkey/donkeyMain.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyMain.ml,v
retrieving revision 1.48
diff -u -u -w -r1.48 donkeyMain.ml
--- src/networks/donkey/donkeyMain.ml	8 Apr 2006 01:27:29 -0000	1.48
+++ src/networks/donkey/donkeyMain.ml	19 May 2006 21:58:28 -0000
@@ -45,10 +45,6 @@
 open DonkeyThieves
 open DonkeyOptions
 
-let lprintf_nl () =
-  lprintf "%s[EDK] "
-    (log_time ()); lprintf_nl2
-
 let _ =
   network.op_network_is_enabled <- (fun _ -> !!enable_donkey);
   option_hook enable_donkey (fun _ ->
@@ -76,7 +72,7 @@
       DonkeySources.connect_sources connection_manager;
     with e ->
         if !verbose_sources > 2 then 
-          lprintf_nl () "Exception %s while checking sources" 
+          lprintf_nl "Exception %s while checking sources" 
             (Printexc2.to_string e)
   );
   DonkeyServers.udp_walker_timer ()
@@ -226,7 +222,7 @@
                   if Unix32.file_exists file_disk_name &&
                     Unix32.getsize file_disk_name <> Int64.zero then begin
                     (* getsize writable=false is ok because file has state FileDownloaded *)
-                      lprintf_nl () "FILE DOWNLOADED"; 
+                      lprintf_nl "FILE DOWNLOADED"; 
                       
                       DonkeyOneFile.declare_completed_file file;
                     end
@@ -235,7 +231,7 @@
                     file_commit (as_file file)
               end
           with e ->
-              lprintf_nl () "Exception %s while recovering download %s"
+              lprintf_nl "Exception %s while recovering download %s"
                 (Printexc2.to_string e) (file_disk_name file); 
       ) files_by_md4;
       
@@ -277,7 +273,7 @@
               udp_sock := Some sock;
               UdpSocket.set_write_controler sock udp_write_controler;
             with e ->
-                lprintf_nl () "Exception %s while binding UDP socket"
+                lprintf_nl "Exception %s while binding UDP socket"
                   (Printexc2.to_string e);
           end;
           sock
@@ -337,13 +333,13 @@
 *)
 
   with e ->
-      lprintf_nl () "Error: Exception %s during startup"
+      lprintf_nl "Error: Exception %s during startup"
         (Printexc2.to_string e)
 
 
 let rec update_options () =
   let update v =
-      lprintf_nl () "Updating options to version %i" v;
+      lprintf_nl "Updating options to version %i" v;
       options_version =:= v;
       update_options ()
   in
Index: src/networks/donkey/donkeyOneFile.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyOneFile.ml,v
retrieving revision 1.36
diff -u -u -w -r1.36 donkeyOneFile.ml
--- src/networks/donkey/donkeyOneFile.ml	9 Apr 2006 00:27:03 -0000	1.36
+++ src/networks/donkey/donkeyOneFile.ml	19 May 2006 21:58:29 -0000
@@ -55,10 +55,6 @@
    Once the block has been finished allow changing order.
 *)
 
-let lprintf_nl () =
-  lprintf "%s[EDK] "
-    (log_time ()); lprintf_nl2
-
 let sort_file_queue c =
   match c.client_download with
     Some _ -> ()
@@ -67,12 +63,12 @@
         [] -> ()
       | [ (file, chunks, up) ] ->
           if !verbose_download || c.client_debug then begin
-              lprintf_nl () "sort_file_queue: single file. client(%d): %s, file(%d): %s" (client_num c) c.client_name (file_num file) (file_best_name file);
+              lprintf_nl "sort_file_queue: single file. client(%d): %s, file(%d): %s" (client_num c) c.client_name (file_num file) (file_best_name file);
             end
       | (file, chunks, up) :: _ ->
           let fn = file_num file in
           if !verbose_download || c.client_debug then begin
-              lprintf_nl () "sort_file_queue: multiple files. client(%d): %s, file(%d): %s" (client_num c) c.client_name (file_num file) (file_best_name file);
+              lprintf_nl "sort_file_queue: multiple files. client(%d): %s, file(%d): %s" (client_num c) c.client_name (file_num file) (file_best_name file);
             end;
           c.client_file_queue <- List.stable_sort (fun (f1, _, _) (f2, _, _) ->
               let v = file_priority f2 - file_priority f1 in
@@ -90,7 +86,7 @@
           | (file, chunks, _) :: _ ->
               if (file_num file) <> fn then begin
                   if !verbose_download || c.client_debug then begin
-                      lprintf_nl () "sort_file_queue: queue change. client(%d): %s, file(%d): %s" (client_num c) c.client_name (file_num file) (file_best_name file);
+                      lprintf_nl "sort_file_queue: queue change. client(%d): %s, file(%d): %s" (client_num c) c.client_name (file_num file) (file_best_name file);
                     end;
 (*
 (*                  c.client_chunks <- chunks; *)
@@ -116,7 +112,7 @@
     None -> ()
   | Some s -> 
       if !verbose_share then
-        lprintf_nl () "unshare_file %s" file.file_diskname;
+        lprintf_nl "unshare_file %s" file.file_diskname;
       file.file_shared <- None;
       decr nshared_files;
       CommonShared.shared_calculate_total_bytes ();
@@ -177,14 +173,14 @@
           
           let downloaded = CommonSwarming.downloaded swarmer in
           if file_downloaded file <> downloaded then begin
-              lprintf_nl () "ERROR: file_downloaded file (%Ld) <> downloaded swarmer (%Ld)"
+              lprintf_nl "ERROR: file_downloaded file (%Ld) <> downloaded swarmer (%Ld)"
                 (file_downloaded file) downloaded
             end;
           
           if verified then begin
               if (file_size file <> downloaded)
               then
-                lprintf_nl () "Downloaded size differs after complete verification";
+                lprintf_nl "Downloaded size differs after complete verification";
               download_finished file
             end
             
@@ -394,7 +390,7 @@
 let request_slot c = 
     if c.client_slot = SlotNotAsked then begin
       if !verbose_download then begin
-          lprintf_nl () "start_download";
+          lprintf_nl "start_download";
         end;
       do_if_connected c.client_source.DonkeySources.source_sock (fun sock ->
           sort_file_queue c;
@@ -414,13 +410,13 @@
   match c.client_download with
     None -> 
       if !verbose then
-        lprintf_nl ()"block_received for unknown file (md4 %s) for data from %s"
+        lprintf_nl "block_received for unknown file (md4 %s) for data from %s"
 	  (Md4.to_string md4) (full_client_identifier c)
   | Some (file, up) ->
       
       if file.file_md4 <> md4 then begin
           if !verbose then
-            lprintf_nl () "block_received for wrong file, received: %s, expected: %s, from %s"
+            lprintf_nl "block_received for wrong file, received: %s, expected: %s, from %s"
 	      (Md4.to_string md4)
 	      (Md4.to_string file.file_md4)
 	      (full_client_identifier c)
@@ -472,7 +468,7 @@
           
           if new_downloaded -- old_downloaded < len64 then
               if !verbose_download then begin
-                lprintf_nl () "ALREADY RECEIVED: %Ld < %Ld"
+                lprintf_nl "ALREADY RECEIVED: %Ld < %Ld"
               (new_downloaded -- old_downloaded) len64;          
               end;
           get_from_client c
